%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		gnome-keyring

%define lib_major	0
%define gir_major	1.0
%define libname		%mklibname %{oname} %{lib_major}
%define libnamedev	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gir_major}

Summary:	Keyring library for the GNOME desktop
Name:		libgnome-keyring
Version:	3.6.0
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/
License:	LGPLv2+
Group:		Networking/Remote access
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	intltool
BuildRequires:	gobject-introspection-devel >= 1.30.0

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package i18n
Group:		System/Libraries
Summary:	Localization data files for %{name}
BuildArch:	noarch

%description i18n
This package contains the translations for %{name}.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name}-i18n >= %{version}-%{release}
Suggests:	gnome-keyring

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Library for integration with the gnome keyring system
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}libgnome-keyring0-devel

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name '*.la' | xargs rm

%find_lang %{name}

%files i18n -f %name.lang
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnome-keyring.so.%{lib_major}*

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/gnome-keyring
%{_libdir}/libgnome-keyring.so
%{_includedir}/gnome-keyring-1
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%{_datadir}/gir-1.0/GnomeKeyring-%{gir_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeKeyring-%{gir_major}.typelib



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 357237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297609
- new version 3.6.0

* Fri Aug 17 2012 ovitters <ovitters> 3.5.6-1.mga3
+ Revision: 281811
- new version 3.5.6

* Wed Aug 08 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 280013
- new version 3.5.4

* Thu Jul 19 2012 ovitters <ovitters> 3.5.3-2.mga3
+ Revision: 272701
- i18n is noarch

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264511
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231039
- new version 3.4.1

  + yochenhsieh <yochenhsieh>
    - Change Requires gnome-keyring to Suggests (for minimal install)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226607
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224309
- new version 3.3.92

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222042
- new version 3.3.91

* Sat Feb 04 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 204446
- enable inrospection support

  + fwang <fwang>
    - new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196955
- new version 3.3.4

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184373
- new version 3.3.3
- clean .spec a bit

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167757
- new version 3.2.2

* Sun Sep 25 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 147794
- new version 3.2.0

* Sun Sep 18 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 144920
- new version 3.1.92

* Thu Sep 15 2011 fwang <fwang> 3.1.90-2.mga2
+ Revision: 143798
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136709
- new version 3.1.90

  + wally <wally>
    - new version 3.1.4

* Mon Jul 11 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 122375
- new version 3.1.1
- clean .spec a bit

* Wed Jun 22 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 112390
- New version 3.0.3

* Thu Jan 13 2011 dmorgan <dmorgan> 2.32.0-1.mga1
+ Revision: 7827
- imported package libgnome-keyring

